@import "../../../../public/assets/styles/variables";
@import "../../../../public/assets/styles/functions";

.decorated-panel {
    max-width: get-vw(950px);
    position: relative;
    @media (max-width: 1920px) {
        max-width: 950px;
    }
    .simple-panel {
        padding: get-vw(48px) get-vw(42px) get-vw(57px) get-vw(42px);
        @media (max-width: 799px) {
            padding: 0;
        }
    }
    &__button-wrap {
        position: absolute;
        bottom: get-vw(17px);
        left: 50%;
        display: flex;
        justify-content: center;
        align-items: center;
        width: get-vw(340px);
        height: get-vw(97px);
        background: linear-gradient(180deg, #FDFDFD 7.15%, #E7E7E7 100%);
        box-shadow: inset 14px 14px 15px #FFFFFF, inset -9px -14px 15px #E1E1E1;
        border-radius: 72px;
        transform: translateX(-50%);
        @media (max-width: 1280px) {
            width: get-vw(320px);
            height: get-vw(90px);
        }
        @media (max-width: 799px) {
            bottom: vw-m(40px);
            width: auto;
            height: auto;
            background: none;
            box-shadow: none;
        }
    }
    &__title {
        margin-bottom: get-vw(32px);
        font-family: 'Roboto';
        font-style: normal;
        font-weight: normal;
        font-size: get-rem(40px);
        line-height: get-rem(50px);
        letter-spacing: 0.01em;
        color: $text-color;
        @media (max-width: 799px) {
            margin-bottom: vw-m(16px);
            font-size: 24px;
            font-weight: 500;
            line-height: 130.19%;
            text-align: center;
        }
    }
    &__text {
        font-family: 'Roboto';
        font-style: normal;
        font-weight: normal;
        font-size: get-rem(18px);
        line-height: get-rem(32px);
        letter-spacing: 0.01em;
        color: $text-color;
        @media (max-width: 799px) {
            font-size: 13px;
            line-height: 24px;
            text-align: center;
        }
    }
    &__label-wrap {
        position: absolute;
        top: get-vw(-80px);
        left: 50%;
        transform: translateX(-50%);
        z-index: 1;
        @media (max-width: 799px) {
            top: -70px;
        }
    }
    &__icon {
        width: get-vw(119px);
        @media (max-width: 799px) {
            width: 79px !important;
        }
    }
    &__button {
        width: get-vw(292px);
        height: get-vw(62px);
        .button__first-inner {
            width: get-vw(281px);
            height: get-vw(52px);
            .button__second-inner {
                width: get-vw(276px);
                height: get-vw(48px);
            }
        }
        @media (max-width: 799px) {
            width: 205px;
            height: 44px;
            font-weight: 500;
            font-size: 18px;
            line-height: 32px;
            .button__first-inner {
                width: 198px;
                height: 40px;
                .button__second-inner {
                    width: 195px;
                    height: 36px;
                }
            }
        }
    }
}